# 
# Synthesis run script generated by Vivado
# 

set_param xicom.use_bs_reader 1
set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000
create_project -in_memory -part xc7a35tcpg236-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_msg_config -source 4 -id {IP_Flow 19-2162} -severity warning -new_severity info
set_property webtalk.parent_dir {C:/Users/yen ping/Desktop/lab8/lab8.cache/wt} [current_project]
set_property parent.project_path {C:/Users/yen ping/Desktop/lab8/lab8.xpr} [current_project]
set_property XPM_LIBRARIES XPM_MEMORY [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language Verilog [current_project]
add_files {{C:/Users/yen ping/Desktop/lab8/kanahei.coe}}
add_files {{c:/Users/yen ping/Desktop/lab8/out.coe}}
add_files {{c:/Users/yen ping/Desktop/lab8/math.coe}}
read_ip -quiet {{C:/Users/yen ping/Desktop/lab8/lab8.srcs/sources_1/ip/blk_mem_gen_0/blk_mem_gen_0.xci}}
set_property used_in_implementation false [get_files -all {{c:/Users/yen ping/Desktop/lab8/lab8.srcs/sources_1/ip/blk_mem_gen_0/blk_mem_gen_0_ooc.xdc}}]
set_property is_locked true [get_files {{C:/Users/yen ping/Desktop/lab8/lab8.srcs/sources_1/ip/blk_mem_gen_0/blk_mem_gen_0.xci}}]

read_verilog -library xil_defaultlib {
  {C:/Users/yen ping/Desktop/lab8/onepulse.v}
  {C:/Users/yen ping/Desktop/lab8/debounce.v}
  {C:/Users/yen ping/Desktop/lab8/clock_divider.v}
  {C:/Users/yen ping/Desktop/lab8/clock_divisor.v}
  {C:/Users/yen ping/Desktop/lab8/mem_addr_gen.v}
  {C:/Users/yen ping/Desktop/lab8/vga.v}
  {C:/Users/yen ping/Desktop/lab8/lab8.srcs/sources_1/new/lab8.v}
}
foreach dcp [get_files -quiet -all *.dcp] {
  set_property used_in_implementation false $dcp
}
read_xdc {{C:/Users/yen ping/Desktop/lab8/Basys3_Master.xdc}}
set_property used_in_implementation false [get_files {{C:/Users/yen ping/Desktop/lab8/Basys3_Master.xdc}}]

read_xdc dont_touch.xdc
set_property used_in_implementation false [get_files dont_touch.xdc]

synth_design -top lab8 -part xc7a35tcpg236-1


write_checkpoint -force -noxdef lab8.dcp

catch { report_utilization -file lab8_utilization_synth.rpt -pb lab8_utilization_synth.pb }
